Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008549opensim[GRID] Other Servicepublic2019-06-18 20:502019-07-13 14:49
ReporterRakis 
Assigned To 
PriorityhighSeverityminorReproducibilityalways
StatusnewResolutionopen 
PlatformDreamgridOSWindows 10 1903 x64OS Version0.9.1.0
Product Version 
Target VersionFixed in Version 
Summary0008549: [LAND MANAGEMENT MODULE] does not work anymore after Windows 1903 update
Description[LAND MANAGEMENT MODULE]

I have a OpenSim grid for Windows named Dreamgrid from Fred K. Beckhusen.
It worked fine but now I have a problem I don't know why or what happened.
Maybe the reason is my win10 x64 1809 update to 1903.

If I open the land info in Firestorm Viewer I can all modify.
Normally if we close the window from land info it saves the changes but now, no more. By all old regions/sim I can't change the setings in land info
if I create a new sim I can't change anything. What is wrong in settings? What can I do? Or do you know of problems with MS Win 10 version May 1903 and the OS?
Fred Beckhusen says its not a Dreamgrid fault it comes from OpenSim. It happens on 4 different PC's and 4 different viewers.
TagsNo tags attached.
Git Revision or version number
Run Mode Standalone (Multiple Regions)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerPhoenix-FirestormOS-Relea
Attached Files? file icon syso.err [^] (620,445 bytes) 2019-06-18 20:50

- Relationships
related to 0008554new MOAP Issue after Update to Windows 1903 
related to 0008559new Groups info changes not persisting after update to Windows 1903 
related to 0008557new Mesh does not render on Warp3D Tiles after update to Windows 1903 
related to 0008562new On Windows 10 1903 Cannot Set Landing Point and Cannot Set OpenSim Region Picture Cannot Activate Group 

-  Notes
(0035403)
BillBlight (developer)
2019-06-18 23:39

This could be your problem right here ..

"C:\O@case that has been forced to lowercase because lower_case_table_names is set"


if you by chance have lower_case_table_names=1, then it may not match some of the opensimulator tables as they use mixed case ..


There seems to be no current issue with the Land Management Module.
(0035404)
BillBlight (developer)
2019-06-18 23:46

also could be ..

"190520 3:28:46 InnoDB: Operating system error number 32 in a file operation.
InnoDB: The error means that another program is using InnoDB's files.
InnoDB: This might be a backup or antivirus software or another instance
InnoDB: of MySQL. Please close it to get rid of this error.
190520 3:28:56 InnoDB: Operating system error number 32 in a file operation.
InnoDB: The error means that another program is using InnoDB's files.
InnoDB: This might be a backup or antivirus software or another instance
InnoDB: of MySQL. Please close it to get rid of this error.
190520 3:29:06 InnoDB: Operating system error number 32 in a file operation.
InnoDB: The error means that another program is using InnoDB's files.
InnoDB: This might be a backup or antivirus software or another instance
InnoDB: of MySQL. Please close it to get rid of this error."

There are a lot of those, appears windows has locked the files for some reason, this has been known to cause all kinds of issues ..
(0035413)
Rakis (reporter)
2019-06-19 12:16

Thank you BillBlight for your answer. I have horror for my work 52 regions same problem.
So as i think it begins with update win 10 May 1903 nothing other change and it's the only one different of two pc, grid2 there i don't have this problem.

OK i never change to lower_case_table_names=1
I think it hapen by update win 10 v1809 to v1903

OK and please what i can do for stop and fix this?
Where can I change this? Help please i have no plan :(

Thanks for your post!
(0035415)
citizen059 (reporter)
2019-06-20 08:09

I'm having the same (or similar) issue. Here's what I'm seeing.

If I try to make a change to the properties of my region, such as renaming a parcel, or changing the checkbox to allow or deny public access, the operation appears to go smoothly while in Firestorm. However, if I close the Land window and reopen it, the changes are reverted as though they never happened.

The Opensim console on my host PC shows the error "[LAND MANAGEMENT MODULE]: Unable to find parcelID 0" every time I attempt to make one of these changes.

Things like adding individual names to the access list work just fine, and don't trigger the error.

This issue has occurred while using:

-The most recent "Dreamgrid" version posted at Outworldz
-The current version of Opensim hosted at OSGrid (osgrid-opensim-05142019.v.9.0.1.0e2adbe)
-The previous version of OSGrid's provided download (osgrid-opensim-03242019.v0.9.1.481d715)

In relation to the OSGrid versions, I've also tried it with both the default SQLite install, as well as after migrating over to MariaDB. New/Clean regions were created in all three versions, and the issue appeared in each one.

The computer I'm hosting with is running Windows 10 Pro v1803 (OS Build 17134.829).
(0035416)
Rakis (reporter)
2019-06-20 16:32
edited on: 2019-06-20 16:44

Thank you citicen059

Its absolut the same problem as mine 1:1 it begins with Dreamgrid update 2.96
and then 3.0, Fred says me it's not here update it's an OS code problem.

Excuse, you mean truly 10 Pro v1803 or 1903? I have 2 grid one on win 10 pro 1809 run fine and one on pc win 10 pro 1903 with this problem. The problem begins with Dreamgrid update v2.96, v3.0 and win update 1903 don't fix this problem.

I post my mysql.log my grid is on M:\grid1 why i have all this logs with drive
C:\?? My grid run still of my PC or by Outworldz PC? It is no more so clear for my if i study this log. After 40 year IT it says me it can't by normal or correct me please. I will belive on Dreamgrid i like it but it's just hard at momenth.

Price question, what now? Throw everything away and start over? I honestly do not know how to continue. :-( I am thankful for all help what fix this problem. I work now 72 hour on it with 6 hour sleep.. I fight for my half year work.

I try tips from:
Fred K. Beckhusen, Opensimulator.org, mysql.com firestorm.org, microsoft.com, singularityviewer.org, ProcessExplorer - Windows Sysinternals Microsoft Docs, https://docs.microsoft.com/de-de/sysinternals/downloads/process-explorer, [^] Mysql InnoDB error 32 on Windows - Stack Overflow, Process Explorer, https://stackoverflow.com/questions/283661/mysql-innodb-error-32-on-windows [^] and uncle google


*EOF* means End Of Fantasy, no more plan... help please

mysql.log is to big for post here i upload it on my server ;)

https://www.rakisworld.ch/logs/mysql.log.rtf [^]

(0035417)
BillBlight (developer)
2019-06-20 17:07
edited on: 2019-06-20 17:08

" InnoDB: Operating system error number 32 in a file operation"

Is not an opensim error suggest you continue to google that ...
 


You should never have parceID 0, it should be a valid UUID , if it is not that will for sure fail when trying to update it ..

I've been trying to replicate this error cannot make it do it short of manually screwing up the parcel ID ...

(0035418)
Rakis (reporter)
2019-06-20 17:45

Thanks again for your posting BillBlight.

I totally agree with you BillBlight that it is not an OS error. I have googled this endlessly but can't get any further. It is chewed endlessly but I do not see a solution there.

I did not blame it. Only win 10 pro 1903 and dreamgrid 2.96 + 3.0 update made. So how does that happen and what do I have to fix it? Please specific help I have no more way. All 54 sim / regions have the same problem. This can not be.
See me mysql.log why i have logs hdd C:\ if all grid OS is only on hdd M:\?
https://www.rakisworld.ch/logs/mysql.log.rtf [^]

Please what can I do? I am not a developer or programmer.
I was a motivated OS user and now a bit frustrated. All stand for the OUT.
What will you do with a grid what dont save your land info changes? Garbage or?

Which log files would you use to see more? If you alow my ask.
I see you are a developer and think you have the right perspective.
(0035419)
BillBlight (developer)
2019-06-20 18:01
edited on: 2019-06-20 18:03

@Rakis

I don't normally mess with MySQL on windows, but seems to me that if it is trying to update the files and can't then that could be a big cause of the problem ..

Few things you can try ..

Disable any anti-virus, reboot and try again ...

Move the MySQL data to another drive, and update configs accordingly and try again .

Make sure windows is not trying to start two instances of mysql ..

Save oars and recreate the regions ..

other than that , I find it hard think this is a specific error with opensim because can't replicate it, could be a combo problem with windows ..

Normally would not support this as it is not core opensimulator as it is dreamgrid .

Very hard to troubleshoot an issue if you can't replicate it ...

If when you view the parcel make sure it has a valid uuid, and check the land table in your db for it, make sure it has not gotten corrupted and is a valid uuid.

(0035420)
Rakis (reporter)
2019-06-20 21:14

@BillBlight

Thanks for your tips i will try it. Thanks for help Dreamgrid is also OpenSim source unchanged ;) it run on windows so as a V Box

ProcessExplorer shows only one mysqld PID 3396 it don't listen a mysql.exe but win service says it run. I can login, all work 100% only no save setings in land info.

Dos Box 1 of 8 (54 reg)
Region (root) # show regions

RAKis World Office UUID bcfd6aca-2d3b-4276-81aa-d780bb943539
ParcellID 00e80300-00e8-0300-8000-000080000000

Calayan Island UUID 7e0326ee-f5a5-4a12-b287-ac346cbea035
ParcellID 00ed0300-00ea-0300-8000-000080000000

Laguna Island UUID 1c28b4c1-102c-4d4f-8330-08bbce09181a
ParcellID 00f50300-00f5-0300-8000-000080000000

Lighthouse Island UUID 0837c9af-74de-492a-baeb-6cdd532478ca
ParcellID 00ed0300-00eb-0300-8000-000080000000

Ocean 04 UUID 8f88d4b2-e93f-45fb-acc3-60b2a926417f
ParcellID 00ea0300-00e8-0300-8000-000080000000

Ocean 17 UUID 3c841b86-a6f6-4730-b40c-b77fb948ef03
ParcellID 00ef0300-00eb-0300-8000-000080000000

Palawan Island UUID d21fd661-9923-424f-8129-96eb955a1332
ParcellID 00ec0300-00e9-0300-8000-000080000000


Maybe i go back to win 1809 and delete the updste. The badest in win 10 ever.
I have a pc more with 1903 but a P4 8GB memory it's not so much but maybe for short try it go. I try to save my work. But its not easy. I have not enough developer knowhow ;)
(0035421)
Rakis (reporter)
2019-06-20 21:25

How and where can I change that?

https://dev.mysql.com/doc/refman/5.7/en/identifier-case-sensitivity.html [^]

How table and database names are stored on disk and used in MySQL is affected by the lower_case_table_names system variable, which you can set when starting mysqld. lower_case_table_names can take the values shown in the following table. This variable does not affect case sensitivity of trigger identifiers. On Unix, the default value of lower_case_table_names is 0. On Windows, the default value is 1. On macOS, the default value is 2.
(0035422)
citizen059 (reporter)
2019-06-21 04:48

"You should never have parceID 0, it should be a valid UUID , if it is not that will for sure fail when trying to update it .."

I would tend to agree, given what I've seen so far.

Can you think of any reason why something would be giving a parcel ID of 0? I dug into my opensim log, and there are instances of the land manager module being "unable to find parcel ID 0" as far back as May 22nd, when I first installed the most current version downloaded from OSGrid. At the same time, there are ALSO instances where land manager returned a proper parcel ID when performing other operations. I'm at my desk @ work right now but I'll remote into my system later to grab the log and pull some examples.

I also thought maybe it was firestorm related...maybe the viewer was sending information that wasn't being "understood". I gave Singularity a try, but got the same result (parcel ID 0 not found).

And again, while I can't speak for Rakis, I've had this happen with the dreamgrid OS package as well as two versions downloaded from OSGrid - and it's happened while running the default SQLite as well as MariaDB.

And to Rakis - yes, my windows version was 1803, not 1903.
(0035423)
citizen059 (reporter)
2019-06-21 05:52

So here's an example from the log where it mentions a parcel that I had successfully named:

2019-06-13 09:03:06,702 DEBUG [LAND MANAGEMENT MODULE]: got parcelinfo for parcel Isle of Cragstone in region 11162242047780864; sending...

And later the same day, presumably when attempting to make a change of some kind:

2019-06-13 15:00:22,563 WARN [LAND MANAGEMENT MODULE]: Unable to find parcelID 0

I don't recall how I got the name change to stick at the time - and I haven't been able to do it again.
(0035424)
Rakis (reporter)
2019-06-21 08:25

As first i will say thank you to all for your help and patience.
Fred Beckhusen, BillBlight, citizen059


After win update i had problems with mysql service can't change to start manualy so i set, sc stop Mysql and sc delete Mysql. Set back win 1903 to 1809 and check it in registry. After downgrade i check win and start Freds batch install it as a sercvice bat mysql don't work. OK restart the pc again and it workt now fine.

I check before all 54 regions i had all so, exemple:
RAKis World Office UUID bcfd6aca-2d3b-4276-81aa-d780bb943539
ParcellID 00e80300-00e8-0300-8000-000080000000

I think parceID 0 and more was a fake log the grid had problems i think we had see it on my logs ;) all work now normal and stabile again. As if nothing had ever happened.
Rakis Heron is happy and the show can go on ;-)

At last i learn very much on this way thanks for help me to fix it my friends.

And thy for help a Dreamgrid user but at last OS Grid or Dreamgrid its the same source and goal. Together we are strong.

Thousand thanks again for your patience and help. I hope one day i can help too.
(0035425)
Rakis (reporter)
2019-06-21 08:41
edited on: 2019-06-21 08:43

So with the Parcel ID 0 I am interested and I will pursue this further here. Because I have no plan how that should be possible. Unless it's a fake log because in certain situations the system has no other default from the programmer. See Microsoft. Unknown error to unknown. World famous lol.

OS is a huge software and that's still understated. No wonder, if it coughs for a moment. But I have noticed, if you give it some time, it repairs and corrects much of the same. A tremendous achievement.

(0035426)
UbitUmarov (administrator)
2019-06-21 13:55
edited on: 2019-06-21 14:20

The ParcelID on those messages is region local parcel ID, a simple integer.
So 0 is a valid number (not necessary a valid parcel local id).
Maybe we should change those messages :)
This issue does sound related to MySQL issues.

(0035427)
Rakis (reporter)
2019-06-21 15:40
edited on: 2019-06-21 15:52

Thanks for this tip and your attention Ubit Umarov, I thought so.
My only problem was that the [LAND MANAGEMENT MODULE] did not save anymore.
No tragedy, but it makes a grid worthless lol.

There are only two reasons for me. You can not run InstallAsAService.bat twice. I'll ask Fred if this can install and run two MySQL instances on Windows. That would be an explanation for me.

@REM Program to run Mysql as a Service
mysqld.exe --install Mysql --defaults-file="M:/grid1/OutworldzFiles/mysql/my.ini"
net start Mysql

Or the error was the worst Win 10 update ever. Or it was just a bad update installation. The Win 10 pro was so virgin newly set up. It could not be better.

But I am very grateful for all the tips here. It has once again shown that this forum works and solves problems.

OpenSim is a great software, I am amazed more and more.
Even Dreamgrid users are taken seriously. My respect.
Fred K. Beckhusen brings Unix and Windows closer together with Dreamgrid.
However, Windows will NEVER run like Unix.
But Bill Gates has made the Weld compatible.
Too bad that Linus Torvalds overslept this earlier.
The world would be better today. ;-)

I will update my website soon.
There will also be a logo and link from Opensimulator on my top page.

(0035428)
Ferd Frederix (reporter)
2019-06-21 18:28
edited on: 2019-06-21 18:29

The problem here seems to be the viewer seems to think the region UUID is zero, when it is not. The few times I have seen things similar to this are due to lossy UDP packets from bad routers (Dlink comes to mind), or viewers set to over 500 kbps.

Just for the record, DreamGrid has always been unmodified core Opensimulator with extra non-core modules, such as Icecast, Birds, Diva, Search, Apache and PHP bundled with a GUI, into a (mostly) auto-configured WAMP platform. The only changes are in INI files and one environment variable so that a single bin folder can support multiple instances and multiple regions in multiple modes (UbODE and Bullet, for example), in various ways - Grid mode, Region Server mode, OsGrid Region Server, or Metro Server modes. Run once, and you can then run Robust, Icecast, MySQL and any region instance(s) from the provided batch files with no GUI at all.

It is currently V3.0 Opensim Master 6-8-2019 #38e937f91b08a2e52, and the Source is at https://github.com/Outworldz/DreamWorld [^] - standard Visual Studio anywhere from 2012 to 2019 works. If you copy .git from Opensim git master into the correct spot, you can compile Opensim, too, and it requires no mods and will just work. I am mentioning this simply because its easy to change into various configurations with a few clicks for testing Opensim in Windows in case anyone wants to give it a shot.

(0035430)
Rakis (reporter)
2019-06-24 01:40
edited on: 2019-07-08 08:36

Thank you Fred also for all your help. Yes it work very stabile now.

Problem No- 1 the worst win 10 update 1903! The 2. i am not so sure i can't see it in ProcessExplorer from MS. After win update mysql service dont start after PC reboot so i activate the batch again i think it install a 2. mysql instance. After sc stop Mysql and sc delete Mysql. Set back win 1903 to 1809 and install mysql service new it work fine now.


UbitUmarov say it so:
The ParcelID on those messages is region local parcel ID, a simple integer.
So 0 is a valid number (not necessary a valid parcel local id).
Maybe we should change those messages :)
This issue does sound related to MySQL issues.

Thanks again for all your hep help my friends.

(0035431)
citizen059 (reporter)
2019-06-24 06:06

Anyone have any ideas or suggestions for my situation? I'm happy to try just about anything.
(0035432)
Rakis (reporter)
2019-06-24 22:17

@citizen059

Maybe it helps, Deinstall Mysql service. Robuster dosbox, sc stop Mysql and sc delete Mysql. After this install Mysql service new with Freds batch in mysql\bin\IntallAsAService.bat. But important before you install new you MUST uninstall first not install two time.

I hope it helps you too.
(0035435)
citizen059 (reporter)
2019-07-01 05:41

I still haven't been able to make changes to my region details through the land window in the viewer, but I did have success using the script here: http://opensimulator.org/wiki/OsSetParcelDetails [^]
(0035457)
aiaustin (developer)
2019-07-08 01:38
edited on: 2019-07-10 08:51

This issue has arisen for me on update from Windows 10 Pro version 1809 to version 1903 on all regions on my two grids (AiLand and Openvue) and for my addon OSGrid regions.

I note that changes in most tabs (e.g. changes I tried in General, tickboxes in Options, URL in Media, etc.) do not persist when the "About Land" tool is closed. But for some reason a change to the auto return time in the "Objects" tab does persist.

In all cases no errors appear in the OpenSim.exe console. But I do see a yellow warning..

[LAND MANAGEMENT MODULE]: Unable to find parcelID 0

Bill, I checked and I did not explicitly set lower_case_table_names in My.ini. In the MySQL Options File viewer it shows as unset (and value 0).

(0035460)
BillBlight (developer)
2019-07-10 10:47

This is definitely an issue with the 1903 update have two systems here, one is updated one is not, the one that is not updated behaves fine, the updated one gives pretty much every issue ..

[LAND MANAGEMENT MODULE]: Unable to find parcelID 0

MOAP Error ..

and various other things that just don't "feel" right ..

So this is something that MS has changed either in security or deep in .NET ..

Might take a while to find it ...

Just as a note and to reiterate these errors do not occur on Linux versions of the same Opensimulator build level, or on previous builds of windows.
(0035461)
citizen059 (reporter)
2019-07-10 10:49

Bill - my home PC is running 1803 and getting the "[LAND MANAGEMENT MODULE]: Unable to find parcelID 0", as I described above, so it's not directly related to the Windows version. There's something else somewhere that's going on.
(0035462)
BillBlight (developer)
2019-07-10 10:52
edited on: 2019-07-10 10:53

you may have taken the latest .NET update that is normally rolled in with the 1903 update that they have since released as a stand alone ..


BUT please goto PC Settings > System > About , and post your major and minor windows build numbers ..

ex
1903, 18362.239


And it has to be related to a windows update , most likely a .NET update since it does not do it on Windows 7, previous Windows 10 , or on linux ...

(0035463)
BillBlight (developer)
2019-07-10 11:55
edited on: 2019-07-10 14:26

Ok, so I spent a couple of hours installing and uninstalling updates ...

It appears that KB4486153 is the offending update ...

If you feel adventurous try uninstalling it and and see if it helps ..

(ok one machine had that KB the other one never had it, the one that never had it still gets the error, the one that I removed it from now does not get the error, so I am confused, MS is playing games again.)

(0035464)
citizen059 (reporter)
2019-07-10 17:22

Uninstalled KB4486153, rebooted, restarted the regions, and everything worked perfectly. Nice find.
(0035465)
aiaustin (developer)
2019-07-11 01:23

Progress :-) Thanks Bill.

.NET Framework 4.8. Patch KB4486153 appears to be for Windows versions up to 1809. It seems a fully updated .NET 4.8 was incorporated into the released version of Windows 10 version 1903... so after installing Windows 10 version 1903 the KB4486153 patch does not show as a separate Windows update that can be uninstalled.

https://blogs.technet.microsoft.com/jagbal/2019/05/30/what-version-of-the-net-framework-is-included-in-what-version-of-the-os/ [^]
https://www.howto-connect.com/kb4486129-kb4486153-net-framework-4-8-build-3761-windows-10/ [^]

In the last 24 hours a new .NET patch (KB4506991)has been provided via Windows Update... and this changes things, but not for the better. Now "About Land" does not seem to even be able to access the previously stored land information.

KB4506991 Cumulative Update for .NET Framework 3.5 and 4.8 for Windows 10 Version 1903
(0035467)
aiaustin (developer)
2019-07-11 04:25
edited on: 2019-07-11 04:26

Does OpenSim require IIS 6 Management Compatibility? It is turned off in Windows 1903 and in the separate Update patch KB4486153 for earlier Windows versions, and it seems it can't be reenabled on 1903 via "Turn Windows Features on or Off".

(0035469)
UbitUmarov (administrator)
2019-07-11 15:49

I was suicidal and did update to .net4.8
And yes, very broken. libopenmetaverse OSD types fail unless I do compile it under .net4.8 and both the lib and opensim are compiled in Debug mode. Otherwise
all decode of messages send by viewer in LLSDxml or JSON just fails.
JIT seems to lose information about fields, failing to do proper overrides of virtual functions.
No idea of impact on other code paths...
a very bad crap
(0035470)
UbitUmarov (administrator)
2019-07-11 16:10

I can recover apparent normal operation, if:
- I compile libopenmetaverse with .net4.8 and in debug mode.
- I compile opensim in debug mode

But no idea of what else is broken...
Also debug mode is unacceptable in terms of performance

at this point we can only hope ms does fix this crap.
(0035471)
UbitUmarov (administrator)
2019-07-11 16:12

By the way the issue is not the win10 update to 1903, but the update to .net 4.8 included with it.
(0035473)
aiaustin (developer)
2019-07-12 01:05
edited on: 2019-07-12 01:10

It seems some other packages are failing with the same patch or major Windows updates, and its happened before... that's why I asked about IIS 6 Web Management Compatibility - which is being removed by Microsoft. Even packages that don't explicitly use IIS 6 appear to be impacted due to "other environmental factors involved". E.g. see

https://bmcsites.force.com/casemgmt/sc_KnowledgeArticle?sfdcid=kA214000000YTzLCAW [^]

> The Patch and major 1903 updates disables IIS 6 Management Compatibility
> as part of deprecation of IIS 6. If we re-enable IIS 6 on the workstation,
> Technician Client works normally.
>
> Technician Client normally does not require any version of IIS, so there
> are apparently other environmental factors involved.

Unfortunately the workaround to re-enable IIS 6 web management compatibility does not work on Windows 10 1903, so I have not been able to try that. And the patch is not available separately after update to 1903 to reverse that specific update.

(0035474)
UbitUmarov (administrator)
2019-07-12 01:23
edited on: 2019-07-12 01:39

the issue I see does not seem related to that.
Just code that runs in debug fails in release.
And release is needed if we want any performance.
There can be other issues we still did not detected :(

current issue is like:

int dd = map["blabla"].AsInteger();

fails

OSD val = map["blabla"];
int dd = val.AsInteger();

works...
JIT is doing a mess

(0035475)
UbitUmarov (administrator)
2019-07-12 08:58
edited on: 2019-07-12 09:06

those with .net4.8 please try this:
in files OpenSim.exe.config, OpenSim32.exe.config and Robust.exe.config in section RunTime, add the line:

<useLegacyJit enabled="1" />

ie where it reads:

  <runtime>
    <loadFromRemoteSources enabled="true" />
  </runtime>

change to:

  <runtime>
    <loadFromRemoteSources enabled="true" />
    <useLegacyJit enabled="1" />
  </runtime>

this should disable the new (broken) JIT reverting to the one of .net4.5(?)
bad, but not as bad as running all in Debug mode.

please let us know the result...

(0035476)
aiaustin (developer)
2019-07-12 09:53

Nice find @Ubit. First test on my Windows 10 version 1903 system for the system that has addon regions on OSGrid just changing OpenSim.exe.config for this first test...

Adding <useLegacyJit enabled="1" /> appears to fix the About Land issue, and also the MOAP, Groups and Warp3D mesh render issues.

Will report on my full grid with changes for Robust.exe and OpenSim.exe later.
(0035477)
aiaustin (developer)
2019-07-12 10:04
edited on: 2019-07-12 10:20

Updated Openvue and AiLand grids with <useLegacyJit enabled="1" /> added to <runtime> section of OpenSim.exe.config, OpenSim32.exe.config and Robust.exe.config and just to be sure Robust32.exe.config.

All working for About Land, MOAP, Groups and Warp3D mesh render issues.

Thanks Ubit. Can this go into the dev master or is a different longer term fix needed?

(0035478)
aiaustin (developer)
2019-07-12 11:58

May not be needed on 32 bit variants?

https://docs.microsoft.com/en-us/dotnet/framework/configure-apps/file-schema/runtime/uselegacyjit-element [^]

> The <useLegacyJit> element affects 64-bit JIT compilation only.
> Compilation with the 32-bit JIT compiler is unaffected.
(0035479)
UbitUmarov (administrator)
2019-07-12 13:11

the new JIT (based on the .net core one) was introduced in 64bit only,
but now 32bit (i.e. started by opensim32.exe) also displays the same problems and this also seems to work around them.

Hope this gets fixed. The new JIT (from .net4.6 to 4.7.2) did improved performance in a significant way. The old JIT is just a bit faster than Debug mode.

So I only consider this a temporary workaround for those who can't revert to 4.7.2
(0035480)
UbitUmarov (administrator)
2019-07-12 13:16

The affected code I detected is correct code that did worked fine till now and still does if all is compiled in debug mode and we are talking about possible hundreds of code lines
(0035482)
aiaustin (developer)
2019-07-13 01:31

Thanks for that background @Ubit.

I have been trying to find out if Microsoft is aware of this specific issue and whether it is being addressed. I see some relevant information on .NET version migration at for example the second section in the JIT part of this web page ...

https://docs.microsoft.com/en-us/dotnet/framework/migration-guide/retargeting/4.5.2-4.8#jit [^]

But that implies the change was at .NET 4.6 which we are already using for OpenSim 0.9.1.0 rather than specifically new for .NET 4.8/Windows 10 version 1903.
(0035486)
UbitUmarov (administrator)
2019-07-13 14:49

in .net4.6 they added a new JIT from .net core branch. .net.4.8 includes a update to that new JIT.
Back then they where not that secure about the new JIT, so included the old one and that option, both still around.

- Issue History
Date Modified Username Field Change
2019-06-18 20:50 Rakis New Issue
2019-06-18 20:50 Rakis File Added: syso.err
2019-06-18 23:39 BillBlight Note Added: 0035403
2019-06-18 23:46 BillBlight Note Added: 0035404
2019-06-19 12:16 Rakis Note Added: 0035413
2019-06-20 08:09 citizen059 Note Added: 0035415
2019-06-20 16:32 Rakis Note Added: 0035416
2019-06-20 16:44 Rakis Note Edited: 0035416 View Revisions
2019-06-20 17:07 BillBlight Note Added: 0035417
2019-06-20 17:08 BillBlight Note Edited: 0035417 View Revisions
2019-06-20 17:45 Rakis Note Added: 0035418
2019-06-20 18:01 BillBlight Note Added: 0035419
2019-06-20 18:03 BillBlight Note Edited: 0035419 View Revisions
2019-06-20 21:14 Rakis Note Added: 0035420
2019-06-20 21:25 Rakis Note Added: 0035421
2019-06-21 04:48 citizen059 Note Added: 0035422
2019-06-21 05:52 citizen059 Note Added: 0035423
2019-06-21 08:25 Rakis Note Added: 0035424
2019-06-21 08:41 Rakis Note Added: 0035425
2019-06-21 08:43 Rakis Note Edited: 0035425 View Revisions
2019-06-21 13:55 UbitUmarov Note Added: 0035426
2019-06-21 14:20 UbitUmarov Note Edited: 0035426 View Revisions
2019-06-21 15:40 Rakis Note Added: 0035427
2019-06-21 15:43 Rakis Note Edited: 0035427 View Revisions
2019-06-21 15:52 Rakis Note Edited: 0035427 View Revisions
2019-06-21 18:28 Ferd Frederix Note Added: 0035428
2019-06-21 18:29 Ferd Frederix Note Edited: 0035428 View Revisions
2019-06-24 01:40 Rakis Note Added: 0035430
2019-06-24 06:06 citizen059 Note Added: 0035431
2019-06-24 22:17 Rakis Note Added: 0035432
2019-07-01 05:41 citizen059 Note Added: 0035435
2019-07-08 01:38 aiaustin Note Added: 0035457
2019-07-08 01:39 aiaustin Note Edited: 0035457 View Revisions
2019-07-08 02:21 aiaustin Note Edited: 0035457 View Revisions
2019-07-08 02:24 aiaustin Note Edited: 0035457 View Revisions
2019-07-08 08:31 aiaustin Note Edited: 0035457 View Revisions
2019-07-08 08:36 aiaustin Note Edited: 0035430 View Revisions
2019-07-10 05:45 aiaustin Summary [LAND MANAGEMENT MODULE] dont work anymore => [LAND MANAGEMENT MODULE] does not work anymore after Windows 1903 update
2019-07-10 05:45 aiaustin Description Updated View Revisions
2019-07-10 08:51 aiaustin Note Edited: 0035457 View Revisions
2019-07-10 10:47 BillBlight Note Added: 0035460
2019-07-10 10:49 citizen059 Note Added: 0035461
2019-07-10 10:52 BillBlight Note Added: 0035462
2019-07-10 10:53 BillBlight Note Edited: 0035462 View Revisions
2019-07-10 11:55 BillBlight Note Added: 0035463
2019-07-10 14:26 BillBlight Note Edited: 0035463 View Revisions
2019-07-10 17:22 citizen059 Note Added: 0035464
2019-07-11 01:23 aiaustin Note Added: 0035465
2019-07-11 04:25 aiaustin Note Added: 0035467
2019-07-11 04:26 aiaustin Note Edited: 0035467 View Revisions
2019-07-11 15:49 UbitUmarov Note Added: 0035469
2019-07-11 16:10 UbitUmarov Note Added: 0035470
2019-07-11 16:12 UbitUmarov Note Added: 0035471
2019-07-12 01:05 aiaustin Note Added: 0035473
2019-07-12 01:10 aiaustin Note Edited: 0035473 View Revisions
2019-07-12 01:23 UbitUmarov Note Added: 0035474
2019-07-12 01:24 UbitUmarov Note Edited: 0035474 View Revisions
2019-07-12 01:39 UbitUmarov Note Edited: 0035474 View Revisions
2019-07-12 08:58 UbitUmarov Note Added: 0035475
2019-07-12 09:06 UbitUmarov Note Edited: 0035475 View Revisions
2019-07-12 09:53 aiaustin Note Added: 0035476
2019-07-12 10:04 aiaustin Note Added: 0035477
2019-07-12 10:16 aiaustin Note Edited: 0035477 View Revisions
2019-07-12 10:18 aiaustin Relationship added related to 0008554
2019-07-12 10:19 aiaustin Relationship added related to 0008559
2019-07-12 10:19 aiaustin Relationship added related to 0008557
2019-07-12 10:20 aiaustin Note Edited: 0035477 View Revisions
2019-07-12 11:58 aiaustin Note Added: 0035478
2019-07-12 13:11 UbitUmarov Note Added: 0035479
2019-07-12 13:16 UbitUmarov Note Added: 0035480
2019-07-13 01:31 aiaustin Note Added: 0035482
2019-07-13 14:25 BillBlight Relationship added related to 0008562
2019-07-13 14:49 UbitUmarov Note Added: 0035486


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker